/***************************************************************************
 *            gui.h
 *
 *  Tue Sep 28 02:08:07 2004
 *  Copyright  2004  imcintosh
 *  ian_mcintosh@linuxadvocate.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "../include/main.h"

#define EDGE_GRAB_SIZE	6		// in pixels

#define MAX_RULER_LENGTH		8000	// any number bigger than the max screen resolution should do
#define MIN_RULER_LENGTH		100		// kind of arbitrary

#define MIN_RULER_WIDTH 	50	// having these be different isn't implemented
#define MAX_RULER_WIDTH		50

gboolean gui_init();
void gui_show();

GtkWidget* gui_get_popup_widget();	// gets popup window wiget

// show windows
void gui_show_preferences_window();
void gui_show_help_window();

// 
void gui_redraw_rulers();

// get/set colors
void gui_get_background_color(GdkColor *pColor);
void gui_set_background_color(const GdkColor *pColor);
void gui_get_foreground_color(GdkColor *pColor);
void gui_set_foreground_color(const GdkColor *pColor);

// get/set fonts
const gchar* gui_get_font_string();
void gui_set_font_string(const gchar* str);

// get/set ruler length
gint gui_get_ruler_length(GtkWindow *pRulerWindow);
void gui_set_ruler_length(GtkWindow *pRulerWindow, gint nLength);

// get/set draw measurement lines setting
gboolean gui_get_draw_mouse_measurement_lines();
void gui_set_draw_mouse_measurement_lines(gboolean bDraw);

ERulerMetric gui_get_ruler_metric();
void gui_set_ruler_metric(ERulerMetric eMetric);

void gui_toggle_keep_above();
void gui_toggle_rotation();

void gui_set_keep_above(gboolean bAbove);
gboolean gui_get_keep_above();

gint gui_get_dots_per_inch();

void gui_ruler_get_position(gint* pX, gint* pY);
void gui_ruler_set_position(gint nX, gint nY);
RulerOrientation gui_get_ruler_orientation();
void gui_set_ruler_orientation(RulerOrientation eOrientation);
